## org.apache.poi.hslf.blip
Class Bitmap

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Bitmap

Direct Known Subclasses:
  DIB, JPEG, PNG

    public abstract class Bitmap

extends PictureData

Represents a bitmap picture data: JPEG or PNG. The data is not compressed and the exact file content is written in the stream.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.usermodel.PictureData
`CHECKSUM_SIZE, logger, offset, painters`

Constructor Summary
`Bitmap()`

Method Summary
`byte[]` `getData()` Returns the binary data of this Picture
`void` `setData(byte[] data)` Set picture data

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSignature, getSize, getType, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bitmap

    public Bitmap()

Method Detail

### getData

    public byte[] getData()

  Description copied from class: `PictureData`
  Returns the binary data of this Picture

  Specified by:
    `getData` in class `PictureData`
  Returns:
    picture data

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Description copied from class: `PictureData`
  Set picture data

  Specified by:
    `setData` in class `PictureData`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.